
ParticleDefinitions[GaugeES] = {
      {SdL,  {  Description -> "Left Down-Squarks"}},
      {SdR,  { Description -> "Right Down-Squarks"}},
      {SuL,  { Description -> "Left Up-Squarks"}}, 
      {SuR,  { Description -> "Right Up-Squarks" }},                
      {SeL,  { Description -> "Left Selectron"}}, 
      {SeR,  { Description -> "Right Selectron"}},                         
      {SvL,  { Description -> "Left Sneutrino"}},                         
      {SHd0, { Description -> "Neutral Down-Higgs"}},                         
      {SHdm, { Description -> "Charged Down-Higgs"}}, 
      {SHu0, { Description -> "Neutral Up-Higgs"}},                         
      {SHup, { Description -> "Charged Up-Higgs"}},                                                   
      {VB,   { Description -> "B-Boson"}},                                                   
      {VG,   { Description -> "Gluon"}},          
      {VWB,  { Description -> "W-Bosons"}},          
      {gB,   { Description -> "B-Boson Ghost"}},                                                   
      {gG,   { Description -> "Gluon Ghost" }},          
      {gWB,  { Description -> "W-Boson Ghost"}},    
      {Glu,  { Description -> "Gluino"}},
      {Wino, { Description -> "Wino"}},
      {Bino, { Description -> "Bino"}},                                                                                           
      {H0,   { Description -> "Neutral Higgsinos"}},
      {HC,   { Description -> "Charged Higgsinos"}},
      {Fd1,  { Description -> "Dirac Left Down-Quark"}},
      {Fd2,  { Description -> "Dirac Right Down-Quark"}},
      {Fu1,  { Description -> "Dirac Left Up-Quark"}},
      {Fu2,  { Description -> "Dirac Right Up-Quark"}},
      {Fe1,  { Description -> "Dirac Left Electron"}},
      {Fe2,  { Description -> "Dirac Right Electron"}},
      {Fv,   { Description -> "Neutrinos" }},
      
          {Ss,    {LaTeX -> "S", 
    OutputName -> "SS",
    FeynArtsNr -> 101}},

      {ST,    {LaTeX -> "T"}},

      {ST0,    {LaTeX -> "T^0", 
    FeynArtsNr -> 102,
    OutputName -> "ST0"}},

      {STm,    {LaTeX -> "T^-", 
    FeynArtsNr -> 103,
    OutputName -> "STm"}},

      {STp,    {LaTeX -> "T^+", 
    FeynArtsNr -> 104,
    OutputName -> "STp"}},

      {SOc,    {LaTeX -> "O", 
    FeynArtsNr -> 105,
    OutputName -> "SOc"}}
      
      };
      
      
      
      
  ParticleDefinitions[EWSB] = {
      {Sd ,  { Description -> "Down-Squarks"}},
      {Su ,  { Description -> "Up-Squarks"}},   
      {Se ,  { Description -> "Sleptons",                
                PDG ->  {1000011,1000013,1000015,2000011,2000013,2000015,4000011,4000012,4000013,4000014,4000015,4000016},
                PDG.IX -> {-200000601,-200000602,-200000603,-200000604,-200000605,-200000606,-200000607,-200000608,-200000609,-200000610,-200000611,-200000612}}}, 
      {Sv ,  { Description -> "Sneutrinos",
		PDG ->  {1000012,1000014,1000016,5000012,5000014},
                PDG.IX -> {200000001,200000002,200000003,200000004,200000005}}},                                
      {hh ,  { Description -> "Higgs",
                PDG -> {25,35,45,55},
                PDG.IX ->{101000001,101000002,101000003,101000004} }}, 
      {Ah ,  { Description -> "Pseudo-Scalar Higgs",
                 PDG.IX ->{0,102000001,102000002,102000003},
                PDG -> {0,36,46,56} }},                       
      {Hpm,  { Description -> "Charged Higgs",
                 PDG.IX ->{0, -100000601, -100000602, -100000603},
                PDG -> {0,-37,-47,-57}  }},                                                   
      {VP,   { Description -> "Photon"}}, 
      {VZ,   { Description -> "Z-Boson"}}, 
      {VG,   { Description -> "Gluon" }},          
      {VWm,  { Description -> "W-Boson" }},         
      {gP,   { Description -> "Photon Ghost"}},                                                   
      {gWm,  { Description -> "Negative W-Boson Ghost"}}, 
      {gWmC, { Description -> "Positive W-Boson Ghost" }}, 
      {gZ,   { Description -> "Z-Boson Ghost" }},
      {gG,   { Description -> "Gluon Ghost" }},             
      {Fd,   { Description -> "Down-Quarks"}},   
      {Fu,   { Description -> "Up-Quarks"}},   
      {Fe,   { Description -> "Leptons",
		  PDG -> {11,13,15,5000011,5000013,5000015},
                 PDG.IX -> {-110000601,-110000602,-110000603,-110000604,-110000605} }},
      {Fv,   { Description -> "Neutrinos",
                 PDG -> {12,14,16,5000001,5000002},
                 PDG.IX ->{-110000001,-110000002,-110000003,-110000004,-110000005} }},                                                                     
      {Glu,  { Description -> "Gluino",
               PDG -> {1000021,2000021},
               PDG.IX ->{211110001,211110002} }},
      {phiO,  { PDG -> {3000021},
               PDG.IX ->{101110001},
               LaTeX -> "\\phi_o",
               OutputName -> "POc",
               Mass -> LesHouches,
               FeynArtsNr -> 25,
               LHPC -> {4, "purple"},
                 ElectricCharge -> 0  }}, 
      {sigmaO,  { PDG -> {3000022},
               PDG.IX ->{101110001},
               LaTeX -> "\\sigma_o",
               OutputName -> "SOc",
               Mass -> LesHouches,
               FeynArtsNr -> 26,
               LHPC -> {4, "red"},
                 ElectricCharge -> 0  }},           
      {Chi,  { Description -> "Neutralinos",
                 PDG -> {1000022,1000023,1000025,1000035,1000045, 1000055},
                 PDG.IX -> {211000001,211000002,211000003,211000004,211000005,211000006} }},
      {Cha,  { Description -> "Charginos",
                 PDG -> {1000024, 1000037,1000047},
                  PDG.IX ->{-210000601,-210000602,-210000603} }} (* ,


      {RSn,  { PDG -> {4000001,4000002},
               LaTeX -> "R^0",
               OutputName -> "RSn",
               Mass -> LesHouches,
               FeynArtsNr -> 41,
               ElectricCharge -> 0  }},  

      {RSc,  { PDG -> {4000011,4000012,4000013,4000014,4000015,4000016},
               LaTeX -> "R^-",
               OutputName -> "RSc",
               Mass -> LesHouches,
               FeynArtsNr -> 42,
               ElectricCharge -> -1  }}, 

      {Fn,  { PDG -> {5000001,5000002},
               LaTeX -> "\\tilde{R}^0",
               OutputName -> "Fn",
               Mass -> LesHouches,
               FeynArtsNr -> 51,
               ElectricCharge -> 0  }}, 

      {Fc,  { PDG -> {5000011,5000012,5000013},
               LaTeX -> "\\tilde{R}^-",
               OutputName -> "Fc",
               Mass -> LesHouches,
               FeynArtsNr -> 52,
               ElectricCharge -> -1  }} *)
                  
};                                                                                                                
        
        
        
 WeylFermionAndIndermediate = {
       {FHd0, { Description -> "Neutral Down-Higgsino"}},      
       {FHu0, { Description -> "Neutral Up-Higgsino" }}, 
       {FHdm, { Description -> "Charged Down-Higgsino"}},                                                                                                             
       {FHup, { Description -> "Charged Up-Higgsino"}},
       {L0,   { Description -> "Neutralino Weyl-Spinor"}},
       {Lm,   { Description -> "Negative Chargino Weyl-Spinor"}},
       {Lp,   { Description -> "Positive Chargino Weyl-Spinor"}}, 
       {fG,   { Description ->"Gluino Weyl-Spinor"}},
       {fWB,  { Description ->"Wino Weyl-Spinor"}},
       {fW0,  { Description ->"Neutral Wino" }},
       {fWm,  { Description ->"Negative Wino"}},                 
       {fWp,  { Description ->"Positive Wino"}},                 
       {fB,   { Description ->"Bino Weyl-Spinor"}},    
       {phid, { Description -> "Scalar Down"}},                                                                       
       {phiu, { Description -> "Scalar Up"}}, 
       {sigmad,   { Description -> "Pseudo Scalar Down"}},                                                                                        
       {sigmau,   { Description -> "Pseudo Scalar Up" }},
       {SHd,  { Description -> "Down-Higgs"}},
       {SHu,  { Description -> "Up-Higgs"}},
       {Sl,   { Description -> "Left Slepton" }},
       {Sq,   { Description -> "Left Squark" }},
       {FeL,  { Description -> "Left Electron" }},
       {FeR,  { Description -> "Right Electron" }} ,
       {FdL,  { Description -> "Left Down-Quark" }},
       {FdR,  { Description -> "Right Down-Quark" }},              
       {FuL,  { Description -> "Left Up-Quark" }},
       {FuR,  { Description -> "Right Up-Quark" }},
       {FEL,  { Description -> "Rotated Left Electron" }},
       {FER,  { Description -> "Rotated Right Electron" }} ,
       {FDL,  { Description -> "Rotated Left Up-Quark" }},
       {FDR,  { Description -> "Rotated Right Up-Quark" }},              
       {FUL,  { Description -> "Rotated Left Down-Quark"}},
       {FUR,  { Description -> "Rotated Right Down-Quark" }},                
       {FHd,  { Description -> "Down-Higgsino" }},
       {FHu,  { Description -> "Up-Higgsino" }},
       {Fl,   { Description -> "Left Leptons"}},
       {Fq,   { Description -> "Left Quarks"}},  
       {FvL,  { Description -> "Left Neutrino"}},  
       
       {sigmaS, {LaTeX -> "\\sigma_S"}},
       {sigmaT, {LaTeX -> "\\sigma_T"}},
       {phiS, {LaTeX -> "\\phi_S"}},
       {phiT, {LaTeX -> "\\phi_T"}},
       
       {e,    { Description -> "Right Electron Superfield" }},
       {d,    { Description -> "Right Down-Quark Superfield" }},                 
       {q,    { Description -> "Left Quark Superfield" }},                 
       {u,    { Description -> "Right Up-Quark Superfield" }},                 
       {l,    { Description -> "left Lepton Superfield" }},  
       {Hd,   { Description -> "Down-Higgs Superfield"}},                                         
       {Hu,   { Description -> "Up-Higgs Superfield" }},                 
       {G,    { Description -> "Gluon Superfield" }},                 
       {B,    { Description -> "B Superfield" }},                 
       {WB,   { Description -> "W Superfield" }},
       
       {S,    {LaTeX -> "\\hat{S}"}},
       {T,    {LaTeX -> "\\hat{T}"}},
       {oc,    {LaTeX -> "\\hat{oc}"}},

       {rd,    {LaTeX -> "\\hat{R}_d"}},
       {ru,    {LaTeX -> "\\hat{R}_u"}},

       {er1,    {LaTeX -> "\\hat{E}"}},
       {er2,    {LaTeX -> "\\hat{\\bar{E}}"}},

       {FER1,    {LaTeX -> "E"}},
       {FER2,    {LaTeX -> "\\bar{E}"}},

       {SER1,    {LaTeX -> "\\tilde{E}"}},
       {SER2,    {LaTeX -> "\\tilde{\\bar{E}}"}},

       {FRd0,    {LaTeX -> "\\tilde{R}_d^0"}},
       {Frd,    {LaTeX -> "\\tilde{R}_d"}},
       {Fru,    {LaTeX -> "\\tilde{R}_d"}},
       {FRdp,    {LaTeX -> "\\tilde{R}_d^+"}},
       {FRu0,    {LaTeX -> "\\tilde{R}_u^0"}},
       {FRum,    {LaTeX -> "\\tilde{R}_u^+"}},

       {SRd0,    {LaTeX -> "R_d^0"}},
       {SRdp,    {LaTeX -> "R_d^+"}},
       {SRu0,    {LaTeX -> "R_u^0"}},
       {SRum,    {LaTeX -> "R_u^+"}},
       {Srd,    {LaTeX -> "R_d"}},
       {Sru,    {LaTeX -> "R_d"}},


       {RN,    {LaTeX -> "\\rho^0"}},

       
       {Fs,    {LaTeX -> "\\tilde{S}"}},
       {FT,    {LaTeX -> "\\tilde{T}"1}},
       {FT0,    {LaTeX -> "\\tilde{T}^0"}},
       {FTm,    {LaTeX -> "\\tilde{T}^-"}},
       {FTp,    {LaTeX -> "\\tilde{T}^+"}},
       {FOc,    {LaTeX -> "\\tilde{O}"}},
       {Gl,    {LaTeX -> "\\lambda_G"}}
       
       
    };                 
