(* ::Package:: *)

(************************************************************************)
(* This file was generated automatically by the Mathematica front end.  *)
(* It contains Initialization cells from a Notebook file, which         *)
(* typically will have the same name as this file except ending in      *)
(* ".nb" instead of ".m".                                               *)
(*                                                                      *)
(* This file is intended to be loaded into the Mathematica kernel using *)
(* the package loading commands Get or Needs.  Doing so is equivalent   *)
(* to using the Evaluate Initialization Cells menu command in the front *)
(* end.                                                                 *)
(*                                                                      *)
(* DO NOT EDIT THIS FILE.  This entire file is regenerated              *)
(* automatically each time the parent Notebook file is saved in the     *)
(* Mathematica front end.  Any changes you make to this file will be    *)
(* overwritten.                                                         *)
(************************************************************************)



(* ::Input::Initialization:: *)
(* This file contains all generic expressions for the one- and two-loop beta functions for non-supersymmetric model *)
(* The equation numbers refer to hep-ph/0211440 *)
(* some changes applied because of the mistakes in hep-ph/0211440 pointed out in 1809.06797 *)

(* Beta functions for gauge couplings: eq. (30) *)
betaFuncGauge1Lns[nr1_,nr2_]:=If[Gauge[[nr1,2]]===U[1],betaFuncGauge1LnsU1[nr1,nr2],betaFuncGauge1LnsNonU1[nr1]];
betaFuncGauge2Lns[nr1_,nr2_]:=If[Gauge[[nr1,2]]===U[1],betaFuncGauge2LnsU1[nr1,nr2],betaFuncGauge2LnsNonU1[nr1]];

betaFuncGauge1LnsU1[nr1_,nr2_]:=Sum[-SA`gCoup[nr1,gSUM]*(  -4/3 kF SA`DynkinF[rep,gSUM,nr2] - 1/6 SA`DynkinS[rep,gSUM,nr2]),{gSUM,1,AnzahlGauge}];
betaFuncGauge2LnsU1[nr1_,nr2_]:=-Sum[SA`gCoup[nr1,gSUM]*(-Sum[(kF*4*SA`CasimirDynkinF[rep,gSUM,gSUM2,nr2]+2*SA`CasimirDynkinS[rep,gSUM,gSUM2,nr2]),{gSUM2,1,Length[Gauge]}] ),{gSUM,1,AnzahlGauge}] -Sum[2  kF*SA`gCoup[nr1,gSUM]*ExpandTermNS[Y4F[gSUM,nr2]],{gSUM,1,AnzahlGauge}] /.SA`DynL-> DYNL /. DYNL[a_,b_]:>SA`DynL[getBlank[a],b]; 


betaFuncGauge1LnsNonU1[nr_]:=-gc[nr]*(11/3SA`Casimir[nr]  -4/3 kF SA`DynkinF[rep,nr] - 1/6 SA`DynkinS[rep,nr]);
betaFuncGauge2LnsNonU1[nr_]:=-gc[nr]*(34/3*SA`Casimir[nr]^2-Sum[(kF*4*SA`CasimirDynkinF[rep,nr,nr2]+2*SA`CasimirDynkinS[rep,nr,nr2]),{nr2,1,Length[Gauge]}] -SA`Casimir[nr](20/3*SA`DynkinF[rep,nr]*kF+1/3 SA`DynkinS[rep,nr])) -2  kF*ExpandTermNS[Y4F[nr]]; 



(* Anomalous dimensions of scalars: eq. (22) + (23) *)
GammaSij1L[p1_,p2_]:=2 kF Y2S[p1,p2]-Sum[(3-Xi)SA`CasimirRGE[p1,nr],{nr,1,Length[Gauge]}] Delta2[p1,p2];
GammaSij2L[p1_,p2_]:=1/2 Lam2S[p1,p2]+3/2 Sum[ SA`CasimirRGE[p1,nr],{nr,1,Length[Gauge]}] Sum[ SA`CasimirRGE[p1,nr],{nr,1,Length[Gauge]}]Delta2[p1,p2]-3 kF H2ab[p1,p2]-2 kF Hbar2[p1,p2]+10 kF Sum[ Y2FS[p1,p2,nr],{nr,1,Length[Gauge]}]-Delta2[p1,p2] Sum[((35/3-2Xi-1/4Xi^2)SA`Casimir[nr] - 10/3 kF SA`DynkinF[rep,nr] -11/12 SA`DynkinS[rep,nr])(SA`CasimirRGE[p1,nr]),{nr,1,Length[Gauge]}];
GammaSijHat1L[p1_,p2_]:=-Delta2[p1,p2]  Sum[ 2 Xi SA`CasimirRGE[p1,nr],{nr,1,Length[Gauge]}];
GammaSijHat2L[pp1_,pp2_]:= 
-2(1+Xi)Xi  Sum[ SA`CasimirRGE[pp1,nr],{nr,1,Length[Gauge]}] Sum[ SA`CasimirRGE[pp1,nr],{nr,1,Length[Gauge]}]Delta2[pp1,pp2]-
Delta2[pp1,pp2] Xi Sum[(7-Xi)/2 SA`Casimir[nr](SA`CasimirRGE[pp1,nr]),{nr,1,Length[Gauge]}]+(* ExpandTermNS[2Xi Sum[Delta2[pp1,pp2] delta2[pp1,pp2]  ThS[nr,pp1,pO,vecB] Y2S[pO,pR] ThS[nr,pR,pp2,vecB]  sum[vecB,1,If[Gauge[[nr,2]]===U[1],1,Gauge[[nr,2,1]]^2-1]],{nr,1,Length[Gauge]}]]; *)
2Xi Sum[Delta2[pp1,pp2] ThS[nr,pp1,pO,vecB] Y2S[pO,pR] ThS[nr,pR,pp2,vecB]  sum[vecB,1,If[Gauge[[nr,2]]===U[1],1,Gauge[[nr,2,1]]^2-1]],{nr,1,Length[Gauge]}];

(* Anomalous dimensions of fermions: eq. (28) + (29) *)
GammaFij1L[p1_,p2_]:=ExpandTermNS[1/2 Yijk[p1,pQ,pR] Conj[Yijk[pQ,p2,pR]] MakeDeltaNS[p1,gen1] + Sum[Xi SA`CasimirRGE[p1,nr],{nr,1,Length[Gauge]}] MakeDeltaNS[p1,{}]];
GammaFij2L[p1_,p2_]:=ExpandTermNS[-1/8 Yijk[p1,pQ,pA] Conj[Yijk[pQ,pR,pB]]Yijk[pR,pS,pB] Conj[Yijk[pS,p2,pA]]MakeDeltaNS[p1,gen1] -3/2kF Yijk[p1,pQ,pA] Conj[Yijk[pQ,p2,pB]]Y2S[pA,pB]MakeDeltaNS[p1,gen1]+
9/2 Sum[ Delta[pA,pB] SA`CasimirRGE[pB,nr] Yijk[p1,pO,pB] Conj[Yijk[pO,p2,pA]]MakeDeltaNS[p1,gen1],{nr,1,Length[Gauge]}] -7/4  Sum[ Delta[p1,p2] SA`CasimirRGE[p1,nr] Yijk[p1,pO,pA] Conj[Yijk[pO,p2,pA]]MakeDeltaNS[p1,gen1],{nr,1,Length[Gauge]}] -
1/4  Sum[ SA`CasimirRGE[pO,nr] Yijk[p1,pO,pA] Conj[Yijk[pO,p2,pA]]MakeDeltaNS[p1,gen1],{nr,1,Length[Gauge]}] +
 MakeDeltaNS[p1,{}] Sum[((25/4+2Xi+1/4Xi^2)SA`Casimir[nr] - 2 kF SA`DynkinF[rep,nr] -1/4 SA`DynkinS[rep,nr])(SA`CasimirRGE[p1,nr]),{nr,1,Length[Gauge]}]-3/2 Sum[ SA`CasimirRGE[p1,nr],{nr,1,Length[Gauge]}] Sum[ SA`CasimirRGE[p1,nr],{nr,1,Length[Gauge]}] MakeDeltaNS[p1,{}]];
MakeDeltaNS[x_,y_]:=makeDeltaNS[x,y]/. Reverse/@subIndFinalX[2,1,"t"] /.Delta->Kronecker;

betaFuncVEV1Lns[p1_]:=ExpandTermNS[VEVi[pS] GammaSij1L[pS,p1]+VEVi[pS] GammaSijHat1L[pS,p1]];
betaFuncVEV2Lns[p1_]:=ExpandTermNS[VEVi[pS] GammaSij2L[pS,p1]+VEVi[pS] GammaSijHat2L[pS,p1]];

(* Beta functions for Yukawa couplings: eq. (33)+(35), nb third index of Yijk is the scalar *)

betaFuncYijk1Lns[p1_,p2_,p3_]:=ExpandTermNS[Y2FC[p1,pR]  Yijk[pR,p2,p3]/2+  Yijk[p1,pQ,p3]  Y2F[pQ,p2]/2+2 Yijk[p1,pP,pR] Conj[Yijk[pP,pQ,p3]]Yijk[pQ,p2,pR]+kF 2 Yijk[p1,p2,pP] Y2S[pP,p3]-3  Yijk[p1,p2,p3]*Sum[ SA`CasimirRGE[p1,nr]+ SA`CasimirRGE[p2,nr],{nr,1,Length[Gauge]}]]; 
betaFuncYijk2Lns[p1_,p2_,p3_]:=Block[{line=Table[0,{16}],xx},
line[[1]]=2 Yijk[p1,pO,pC] Conj[Yijk[pO,pP,pB]] Yijk[pP,pQ,p3]*(Conj[Yijk[pQ,pR,pC]] Yijk[pR,p2,pB]-Conj[Yijk[pQ,pR,pB]] Yijk[pR,p2,pC]);
line[[2]]=-Yijk[p1,pQ,pX](Y2F[pQ,pP] Conj[Yijk[pP,pR,p3]]+Conj[Yijk[pQ,pP,p3]] Y2FC[pP,pR])Yijk[pR,p2,pX];
line[[3]]=-1/8 (Yijk[p1,pO,pX] Y2F[pO,pP] Conj[Yijk[pP,pQ,pX]] Yijk[pQ,p2,p3]+Yijk[p1,pO,p3] Conj[Yijk[pO,pP,pX]] Y2FC[pP,pQ] Yijk[pQ,p2,pX]) ;
 line[[4]]= -4 kF Y2S[pX,pY] Yijk[p1,pP,pX] Conj[Yijk[pP,pR,p3]] Yijk[pR,p2,pY] - 2 kF Yijk[p1,p2,pX] Hbar2[p3,pX] ; (* fixed 2020-12-02*)
line[[5]]=-3/2 kF Y2S[pX,pY](Yijk[p1,pO,pX] Conj[Yijk[pO,pP,pY]] Yijk[pP,p2,p3] + Yijk[p1,pO,p3] Conj[Yijk[pO,pP,pY]] Yijk[pP,p2,pX]) ;
line[[6]]=-3 kF Yijk[p1,p2,pX] H2ab[p3,pX] - 2 Lijkl[p3,pX,pY,pZ] Yijk[p1,pQ,pX] Conj[Yijk[pQ,pR,pY]] Yijk[pR,p2,pZ] + 1/2 Lam2S[p3,pX] Yijk[p1,p2,pX] ;
line[[7]]=+ 3 Sum[  (SA`CasimirRGE[p1,nr]+SA`CasimirRGE[p2,nr]) Yijk[p1,pP,pB] Conj[Yijk[pP,pQ,p3]] Yijk[pQ,p2,pB],{nr,1,Length[Gauge]}]+  5 Sum[Yijk[p1,pO,pB] (SA`CasimirRGE[pO,nr]+SA`CasimirRGE[pP,nr]) Conj[Yijk[pO,pP,p3]] Yijk[pP,p2,pB], {nr,1,Length[Gauge]}] ;
line[[8]]=-7/4 Sum[(SA`CasimirRGE[p1,nr]Y2FC[p1,pP] Yijk[pP,p2,p3]+Yijk[p1,pP,p3] Y2F[pP,p2] SA`CasimirRGE[p2,nr]),{nr,1,Length[Gauge]}] ;
line[[9]]=-1/4 Sum[(Yijk[p1,pO,pB] SA`CasimirRGE[pO,nr] Conj[Yijk[pO,pP,pB]] Yijk[pP,p2,p3] + Yijk[p1,pO,p3] Conj[Yijk[pO,pP,pB]] SA`CasimirRGE[pP,nr] Yijk[pP,p2,pB]),{nr,1,Length[Gauge]}] ;
line[[10]]=+  Sum[(6 Ha2t[p3,p1,p2,nr] +10 kF  Yijk[p1,p2,pQ] Y2FS[p3,pQ,nr]),{nr,1,Length[Gauge]}]; 
line[[11]]=6 Sum[ (SA`CasimirRGE[pB,nr] Yijk[p1,pO,pB] Conj[Yijk[pO,pP,p3]] Yijk[pP,p2,pB] - 2  SA`CasimirRGE[p3,nr] Yijk[p1,pO,pB] Conj[Yijk[pO,pP,p3]] Yijk[pP,p2,pB]),{nr,1,Length[Gauge]}] ;
line[[12]]=+ 9/2 Sum[ SA`CasimirRGE[pB,nr](Yijk[p1,pO,pB] Conj[Yijk[pO,pP,pB]] Yijk[pP,p2,p3] + Yijk[p1,pO,p3] Conj[Yijk[pO,pP,pB]] Yijk[pP,p2,pB]),{nr,1,Length[Gauge]}] ;
line[[13]]=  Sum[Sum[(-3/2  (SA`CasimirRGE[p1,nr] SA`CasimirRGE[p1,nr2]+SA`CasimirRGE[p2,nr] SA`CasimirRGE[p2,nr2]) Yijk[p1,p2,p3]+ 6 SA`CasimirRGE[p3,nr](SA`CasimirRGE[p1,nr2]+SA`CasimirRGE[p2,nr2]) Yijk[p1,p2,p3]),{nr,1,Length[Gauge]}],{nr2,1,Length[Gauge]}];
(*
line[[14]]= Sum[(-97/6 SA`Casimir[nr] + 10/3 kF SA`DynkinF[rep,nr] +11/12 SA`DynkinS[rep,nr])(SA`CasimirRGE[p1,nr]+SA`CasimirRGE[p2,nr])Yijk[p1,p2,p3],{nr,1,Length[Gauge]}]-21/2 Sum[Sum[ SA`CasimirRGE[p3,nr] SA`CasimirRGE[p3,nr2] Yijk[p1,p2,p3],{nr,1,Length[Gauge]}],{nr2,1,Length[Gauge]}]+
Sum[Sum[If[nr=!=nr2 && Gauge[[nr,2]]===U[1] && Gauge[[nr2,2]]===U[1],(10/3 kF SA`DynkinF[rep,nr,nr2] +11/12 SA`DynkinS[rep,nr,nr2])(SA`CasimirRGE[p1,nr]+SA`CasimirRGE[p2,nr])Yijk[p1,p2,p3],0],{nr,1,Length[Gauge]}],{nr2,1,Length[Gauge]}];
*)
line[[14]]= Sum[If[Gauge[[nr,2]]===U[1],0,(-97/6 SA`Casimir[nr] + 10/3 kF SA`DynkinF[rep,nr] +11/12 SA`DynkinS[rep,nr])(SA`CasimirRGE[p1,nr]+SA`CasimirRGE[p2,nr])Yijk[p1,p2,p3]],{nr,1,Length[Gauge]}]-21/2 Sum[Sum[ SA`CasimirRGE[p3,nr] SA`CasimirRGE[p3,nr2] Yijk[p1,p2,p3],{nr,1,Length[Gauge]}],{nr2,1,Length[Gauge]}]+Sum[Sum[ 10/3 kF(SA`CasimirFDynkinF[rep,getBlank[p1],nr,nr2]+SA`CasimirFDynkinF[rep,getBlank[p2],nr,nr2])Yijk[p1,p2,p3]+11/12(SA`CasimirFDynkinS[rep,getBlank[p1],nr,nr2]+SA`CasimirFDynkinS[rep,getBlank[p2],nr,nr2])Yijk[p1,p2,p3],{nr,1,Length[Gauge]}],{nr2,1,Length[Gauge]}];

(* line[[16]]=Yijk[p1,p2,p3] Sum[ SA`CasimirRGE[p3,nr] (49/4 SA`Casimir[nr] - 2kF SA`DynkinF[rep,nr] - 1/4 SA`DynkinS[rep,nr]),{nr,1,Length[Gauge]}]; *)
line[[16]]=Yijk[p1,p2,p3]  Sum[If[Gauge[[nr,2]]===U[1],0,SA`CasimirRGE[p3,nr] (49/4 SA`Casimir[nr] - 2kF SA`DynkinF[rep,nr] - 1/4 SA`DynkinS[rep,nr])],{nr,1,Length[Gauge]}]+Yijk[p1,p2,p3]Sum[Sum[-2 kF SA`CasimirSDynkinF[rep,getBlank[p3],nr,nr2]-1/4 SA`CasimirSDynkinS[rep,getBlank[p3],nr,nr2],{nr,1,Length[Gauge]}],{nr2,1,Length[Gauge]}];
linesave=line;

If[RGEdebug===True,
Return[ExpandTermNS[line.Table[LINE[xx],{xx,1,16}]]];,
Return[ExpandTermNS[Plus@@line]];
];
];



(* Beta functions for trilinear scalar couplings: eq. (64)+(69) *)
betaFuncTijk1Lns[p1_,p2_,p3_]:=Lam2[p1,p2,p3]-8 kF*Habc[p1,p2,p3]+2 kF LamY[p1,p2,p3] - 3 LamS[p1,p2,p3];
betaFuncTijk2Lns[p1_,p2_,p3_]:=Block[{line=Table[0,{9}]},
(* line[[1]]=1/2(Lam2S[p1,p1]+Lam2S[p2,p2]+Lam2S[p3,p3]) Aijk[p1,p2,p3] - LamBar3[p1,p2,p3] - 4 kF LamBar2Y[p1,p2,p3]; *)
line[[1]]=1/2(Lam2S[p1,pX]Aijk[pX,p2,p3]+Lam2S[p2,pX]Aijk[p1,pX,p3]+Lam2S[p3,pX]Aijk[p1,p2,pX])  - LamBar3[p1,p2,p3] - 4 kF LamBar2Y[p1,p2,p3];
line[[2]]=kF ( 8 HbarLamM[p1,p2,p3] + 8 HbarH[p1,p2,p3] );
line[[3]]=-kF ((3 H2ab[p1,pX]+2 Hbar2[p1,pX])Aijk[pX,p2,p3]+(3 H2ab[p2,pX]+2 Hbar2[p2,pX])Aijk[p1,pX,p3]+(3 H2ab[p3,pX]+2 Hbar2[p3,pX])Aijk[p1,p2,pX]);
line[[4]]=4 kF (HY[p1,p2,p3]  +2 HYbar[p1,p2,p3] + 2 H3[p1,p2,p3] );
line[[5]]= (2 LamBar2S[p1,p2,p3] - 6  Lam2g[p1,p2,p3] + 4 kF ( HSabc[p1,p2,p3]- HFabc[p1,p2,p3]));
line[[6]]=Sum[ 10 kF (Y2FS[p1,pX,nr]Aijk[pX,p2,p3]+Y2FS[p2,pX,nr]Aijk[p1,pX,p3]+Y2FS[p3,pX,nr]Aijk[p1,p2,pX]),{nr,1,Length[Gauge]}];
line[[7]]=-(35/3 LamSC2G[p1,p2,p3]-10/3 kF LamSS2F[p1,p2,p3]-11/12 LamSS2S[p1,p2,p3]);
line[[8]]=3/2 LamSS[p1,p2,p3] + 5/2 ALabc[p1,p2,p3]+1/2 AbarLabc[p1,p2,p3];
line[[9]]=-(4 kF(BY[p1,p2,p3]-  10 BYbar[p1,p2,p3]));
Return[ExpandTermNS[Plus@@line]];
];

(* Beta functions for bilinear fermion couplings: eq. (62)+(63) *)
betaFuncMFij1Lns[p1_,p2_]:=ExpandTermNS[1/2(Y2FC[p1,pP] Muij[pP,p2]+Muij[p1,pP]Y2F[pP,p2]) + 2 Yijk[p1,pP,pB] Conj[Muij[pP,pQ]] Yijk[pQ,p2,pB]+0 kF Yijk[p1,p2,pB](Conj[Muij[pQ,pR]] Yijk[pR,pQ,pB]+Muij[pQ,pR] Conj[Yijk[pR,pQ,pB]]) (* not correct in paper! *)- 3 Sum[ (SA`CasimirRGE[p1,nr]+SA`CasimirRGE[p2,nr])Muij[p1,p2],{nr,1,Length[Gauge]}]];
betaFuncMFij2Lns[p1_,p2_]:=Block[{line=Table[0,{17}],xx},
line[[1]] = +2 Yijk[p1,pO,pC] Conj[Yijk[pO,pQ,pB]] Muij[pQ,pR](Conj[Yijk[pR,pX,pC]] Yijk[pX,p2,pB]-Conj[Yijk[pR,pX,pB]] Yijk[pX,p2,pC]) ;
line[[2]]=-Yijk[p1,pO,pX] (Y2F[pO,pP] Conj[Muij[pP,pQ]]+Conj[Muij[pO,pP]] Y2FC[pP,pQ]) Yijk[pQ,p2,pX] ;
line[[3]]= -1/8 (Yijk[p1,pO,pX] Y2F[pO,pP] Conj[Yijk[pP,pQ,pX]] Muij[pQ,p2] + Muij[p1,pO] Conj[Yijk[pO,pP,pX]] Y2FC[pP,pR] Yijk[pR,p2,pX]) ;
line[[4]] =-4 kF Y2S[pX,pY] Yijk[p1,pP,pX] Conj[Muij[pP,pR]] Yijk[pR,p2,pY]; (*0 is wrong, corrected 2020-12-02 *)(* not correct in paper: -2 kF Yijk[p1,pO,pB] Conj[Yijk[pO,pP,pC]] Yijk[pP,p2,pB](Conj[Muij[pX,pY]] Yijk[pY,pX,pC]+Muij[pX,pY] Conj[Yijk[pX,pY,pC]])*);
line[[5]]=-3/2 kF Y2S[pX,pY] (Yijk[p1,pO,pX]Conj[Yijk[pO,pP,pY]] Muij[pP,p2]+Muij[p1,pO] Conj[Yijk[pO,pP,pY]] Yijk[pP,p2,pX]) ;
line[[6]]=0 (* not correct in paper: -3/2 kF Yijk[p1,p2,pX] (Y2F[pO,pP] Conj[Yijk[pP,pQ,pX]] Muij[pQ,pO] + Conj[Muij[pO,pP]] Y2FC[pP,pQ] Yijk[pQ,pO,pX]) *);
line[[7]] = 0 (*not correct in paper:  - kF Yijk[p1,p2,pB] (Yijk[pO,pP,pC] Conj[Muij[pP,pQ]] Yijk[pQ,pR,pC] Conj[Yijk[pR,pO,pB]] + Conj[Yijk[pO,pP,pC]] Muij[pP,pQ] Conj[Yijk[pQ,pR,pC]] Yijk[pR,pO,pB])*) ;
line[[8]]=-2 Aijk[pB,pC,pD] Yijk[p1,pP,pB] Conj[Yijk[pP,pQ,pC]] Yijk[pQ,p2,pD] +0 (* not correct in paper: 1/12 Aijk[pC,pD,pE] Lijkl[pB,pC,pD,pE] Yijk[p1,p2,pB] *);
line[[9]]=Sum[( 3 (SA`CasimirRGE[p1,nr]+SA`CasimirRGE[p2,nr]) Yijk[p1,pO,pB] Conj[Muij[pO,pP]] Yijk[pP,p2,pB] + 5 Yijk[p1,pO,pB](SA`CasimirRGE[pO,nr]+SA`CasimirRGE[pP,nr])Conj[Muij[pO,pP]] Yijk[pP,p2,pB] ) ,{nr,1,Length[Gauge]}] ;
line[[10]]=-7/4 Sum[(SA`CasimirRGE[p1,nr] Y2FC[p1,pO] Muij[pO,p2] + Muij[p1,pO] Y2F[pO,p2] SA`CasimirRGE[p2,nr]),{nr,1,Length[Gauge]}] ;
line[[11]]=-1/4 Sum[ (Yijk[p1,pO,pB] SA`CasimirRGE[pO,nr] Conj[Yijk[pO,pP,pB]] Muij[pP,p2]+Muij[p1,pO] Conj[Yijk[pO,pP,pB]] SA`CasimirRGE[pP,nr] Yijk[pP,p2,pB]),{nr,1,Length[Gauge]}] ;
line[[12]]=6 Sum[ (conj[tA[nr,p1,pO,vecB]] Muij[pO,pP] Conj[Yijk[pP,pQ,pB]] conj[tA[nr,pQ,pR,vecB]] Yijk[pR,p2,pB]+Yijk[p1,pO,pB] tA[nr,pO,pP,vecB] Conj[Yijk[pP,pQ,pB]] Muij[pQ,pR] tA[nr,pR,p2,vecB]) sum[vecB,1,If[Gauge[[nr,2]]===U[1],1,Gauge[[nr,2,1]]^2-1]], {nr,1,Length[Gauge]}]  ;
line[[13]]=0 (* not correct in paper: 5 kF Sum[ Yijk[p1,p2,pB] SA`CasimirRGE[pO,nr](Muij[pO,pP] Conj[Yijk[pP,pO,pB]]+Yijk[pO,pP,pB] Conj[Muij[pP,pO]]),{nr,1,Length[Gauge]}]  *);
line[[14]]=(6 Sum[ SA`CasimirRGE[pB,nr] Yijk[p1,pO,pB] Conj[Muij[pO,pP]] Yijk[pP,p2,pB],{nr,1,Length[Gauge]}]-3/2Sum[Sum[ (SA`CasimirRGE[p1,nr] SA`CasimirRGE[p1,nr2]+SA`CasimirRGE[p2,nr] SA`CasimirRGE[p2,nr2]) Muij[p1,p2],{nr,1,Length[Gauge]}],{nr2,1,Length[Gauge]}] ) ;
line[[15]]=9/2 Sum[SA`CasimirRGE[pB,nr](Yijk[p1,pP,pB] Conj[Yijk[pP,pQ,pB]] Muij[pQ,p2] + Muij[p1,pP] Conj[Yijk[pP,pQ,pB]] Yijk[pQ,p2,pB]),{nr,1,Length[Gauge]}] ;
line[[16]]= Sum[(-97/6 SA`Casimir[nr] + 10/3 kF SA`DynkinF[rep,nr] +11/12 SA`DynkinS[rep,nr])(SA`CasimirRGE[p1,nr]+SA`CasimirRGE[p2,nr])Muij[p1,p2],{nr,1,Length[Gauge]}];

(* For[i=1,i\[LessEqual]16,
line[[i]]=l[i]*line[[i]];
i++;]; *)
If[RGEdebug===True,
Return[ExpandTermNS[line.Table[LINE[xx],{xx,1,17}]]];,
Return[ExpandTermNS[Plus@@line]];
];
];


(* Beta functions for bilinear scalar couplings: eq. (86)+(90) *)
betaFuncMSij1Lns[p1_,p2_]:=ExpandTermNS[Bij[pQ,pP] Lijkl[p1,p2,pQ,pP]+Aijk[p1,pP,pQ] Aijk[p2,pP,pQ]-4 kF*Hab[p1,p2]-3 LamS[p1,p2]+2kF*LamY[p1,p2]];
betaFuncMSij2Lns[p1_,p2_]:=Block[{line=Table[0,{8}]},
(* line[[1]]=1/2(Lam2S[p1,p1]+Lam2S[p2,p2])Bij[p1,p2]  - 1/2 LamBar3[p1,p2] -4 kF LamBar2Y[p1,p2];  *)
line[[1]]=1/2(Lam2S[p1,pX]Bij[pX,p2]+Lam2S[p2,pX]Bij[p1,pX])  - 1/2 LamBar3[p1,p2] -4 kF LamBar2Y[p1,p2]; 
line[[2]]= kF (4 HbarLam[p1,p2]-((3 H2ab[p1,pX] + 2 Hbar2[p1,pX])Bij[pX,p2]+(3 H2ab[p2,pX] + 2 Hbar2[p2,pX])Bij[p1,pX]));
line[[3]]=2 kF (HY[p1,p2] + HY[p2,p1]  + 2 HYbar[p1,p2]  + 2 Conj[HYbar[p2,p1]]  + 2 H3ab[p1,p2] + 2 H3ab[p2,p1] );
line[[4]]= (  2 LamBar2S[p1,p2] -    6 Lam2g[p1,p2]  + 2 kF   (HSab[p1,p2]-HFab[p1,p2]-HFab[p2,p1])); 
line[[5]] = Sum[10 kF (Y2FS[p1,pX,nr] Bij[pX,p2]+Y2FS[p2,pX,nr] Bij[p1,pX]),{nr,1,Length[Gauge]}];
line[[6]]=-(35/3 LamSC2G[p1,p2] -10/3 kF LamSS2F[p1,p2] -11/12 LamSS2S[p1,p2] )  ;
line[[7]]=+3/2 LamSS[p1,p2] +5/2 Alam[p1,p2]   +1/2 AlamBar[p1,p2]; 
line[[8]]=-(2 kF(BY[p1,p2]-10 BYbar[p1,p2])) ;   
Return[ExpandTermNS[Plus@@line]];
];

(* Beta functions for quartic scalar couplings: eq. (38)+(44) *)
betaFuncLijkl1Lns[p1_,p2_,p3_,p4_]:=ExpandTermNS[Lam2[p1,p2,p3,p4]- 8*kF*Habcd[p1,p2,p3,p4]+2*kF*LamY[p1,p2,p3,p4] - 3 LamS[p1,p2,p3,p4]+3 Aabcd[p1,p2,p3,p4]];
betaFuncLijkl2Lns[p1_,p2_,p3_,p4_]:=Block[{line=Table[0,{10}]},
(* line[[1]] = 1/2(Lam2S[p1,p1]+Lam2S[p2,p2]+Lam2S[p3,p3]+Lam2S[p4,p4])Lijkl[p1,p2,p3,p4]-LamBar3[p1,p2,p3,p4]-4 kF LamBar2Y[p1,p2,p3,p4]; *)
line[[1]] = 1/2(Lam2S[p1,pX] Lijkl[pX,p2,p3,p4]+Lam2S[p2,pX]Lijkl[p1,pX,p3,p4]+Lam2S[p3,pX]Lijkl[p1,p2,pX,p4]+Lam2S[p4,pX] Lijkl[p1,p2,p3,pX])-LamBar3[p1,p2,p3,p4]-4 kF LamBar2Y[p1,p2,p3,p4];
line[[2]]=kF (8 HbarLam[p1,p2,p3,p4] -(3 H2ab[p1,pX] Lijkl[pX,p2,p3,p4]+2Hbar2[p1,pX] Lijkl[pX,p2,p3,p4]+3 H2ab[p2,pX] Lijkl[p1,pX,p3,p4]+2Hbar2[p2,pX] Lijkl[p1,pX,p3,p4]+3 H2ab[p3,pX] Lijkl[p1,p2,pX,p4]+2Hbar2[p3,pX] Lijkl[p1,p2,pX,p4]+3 H2ab[p4,pX] Lijkl[p1,p2,p3,pX]+2Hbar2[p4,pX] Lijkl[p1,p2,p3,pX]));
line[[3]]=4 kF(HY[p1,p2,p3,p4] + 2 HbarY[p1,p2,p3,p4]+2 H3[p1,p2,p3,p4]);
line[[4]]= ((2 LamBar2S[p1,p2,p3,p4]- 6 Lam2g[p1,p2,p3,p4])+4 kF(HSabcd[p1,p2,p3,p4]-HFabcd[p1,p2,p3,p4])); 
(* line[[5]]=Sum[10 kF Lijkl[p1,p2,p3,p4] (Y2FS[p1,p1,nr]+Y2FS[p2,p2,nr]+Y2FS[p3,p3,nr]+Y2FS[p4,p4,nr]),{nr,1,Length[Gauge]}]; *)
line[[5]]=Sum[10 kF  (Y2FS[p1,pX,nr]Lijkl[pX,p2,p3,p4]+Y2FS[p2,pX,nr]Lijkl[p1,pX,p3,p4]+Y2FS[p3,pX,nr]Lijkl[p1,p2,pX,p4]+Y2FS[p4,pX,nr] Lijkl[p1,p2,p3,pX]),{nr,1,Length[Gauge]}];
line[[6]]=-(35/3 LamSC2G[p1,p2,p3,p4]-10/3 kF LamSS2F[p1,p2,p3,p4]-11/12 LamSS2S[p1,p2,p3,p4]);
line[[7]]=3/2 LamSS[p1,p2,p3,p4]+5/2 ALabcd[p1,p2,p3,p4] + 1/2 AbarLabcd[p1,p2,p3,p4];
line[[8]]=-(4 kF(BY[p1,p2,p3,p4]- 10 BYbar[p1,p2,p3,p4]));
line[[9]]=(161/6 AabcdC2G[p1,p2,p3,p4]  -32/3 kF AabcdDynkinF[p1,p2,p3,p4] - 7/3 AabcdDynkinS[p1,p2,p3,p4]);
 line[[10]]=(-15/2 ASabcd[p1,p2,p3,p4] + 27 Agabcd[p1,p2,p3,p4] );  
Return[ExpandTermNS[Plus@@line]];
];


(* Auxiliary Functions to calculate beta-functions *)
BetaFunctionTijk1LnonSUSY[term_]:=Return[betaFuncTijk1Lns[term[[1]]/.subGC[1],term[[2]]/.subGC[2],term[[3]]/.subGC[3] ]];
BetaFunctionTijk2LnonSUSY[term_]:=Return[betaFuncTijk2Lns[term[[1]]/.subGC[1],term[[2]]/.subGC[2],term[[3]]/.subGC[3] ]];

BetaFunctionYijk1LnonSUSY[term_]:=Return[betaFuncYijk1Lns[term[[1]]/.subGC[1],term[[2]]/.subGC[2],term[[3]]/.subGC[3] ]];
BetaFunctionYijk2LnonSUSY[term_]:=Return[betaFuncYijk2Lns[term[[1]]/.subGC[1],term[[2]]/.subGC[2],term[[3]]/.subGC[3] ]];

BetaFunctionMFij1LnonSUSY[term_]:=Return[betaFuncMFij1Lns[term[[1]]/.subGC[1],term[[2]]/.subGC[2] ]];
BetaFunctionMFij2LnonSUSY[term_]:=Return[betaFuncMFij2Lns[term[[1]]/.subGC[1],term[[2]]/.subGC[2]]];

BetaFunctionMSij1LnonSUSY[term_]:=Return[betaFuncMSij1Lns[term[[1]]/.subGC[1],term[[2]]/.subGC[2] ]];
BetaFunctionMSij2LnonSUSY[term_]:=Return[betaFuncMSij2Lns[term[[1]]/.subGC[1],term[[2]]/.subGC[2]]];

BetaFunctionLijkl1LnonSUSY[term_]:=Return[betaFuncLijkl1Lns[term[[1]]/.subGC[1],term[[2]]/.subGC[2],term[[3]]/.subGC[3],term[[4]]/.subGC[4] ]];
BetaFunctionLijkl2LnonSUSY[term_]:=Return[betaFuncLijkl2Lns[term[[1]]/.subGC[1],term[[2]]/.subGC[2],term[[3]]/.subGC[3],term[[4]]/.subGC[4]]];

BetaFunctionGauge1LnonSUSY[nr_]:=Return[betaFuncGauge1Lns[nr[[1]],nr[[2]]]];
BetaFunctionGauge2LnonSUSY[nr_]:=Return[betaFuncGauge2Lns[nr[[1]],nr[[2]]]];

BetaFunctionVEVi1LnonSUSY[term_]:=Return[betaFuncVEV1Lns[term/.subGC[1]]];
BetaFunctionVEVi2LnonSUSY[term_]:=Return[betaFuncVEV2Lns[term/.subGC[1]]];


